VERSION 5.00
Object = "{F85D4960-C85D-11CE-8409-E8C5C79C5414}#1.0#0"; "HITIME32.OCX"
Begin VB.Form Form1 
   AutoRedraw      =   -1  'True
   BackColor       =   &H00000000&
   BorderStyle     =   0  'None
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4680
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin HitimeLib.Hitime Hitime1 
      Left            =   720
      OleObjectBlob   =   "cPac.frx":0000
      Top             =   1320
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function ShowCursor Lib "user32" (ByVal bShow As Long) As Long

Private mySurface As cDXSurface
Private myPacMan As cPacman
Private myIntro As cCFIntro
Private myPac As cPacTitle
Private myPaused As cDXBitmap

Private myPause As Boolean




Private Sub Form_Load()
    Form1.Move 0, 0, 640, 480
    Form1.Show
    ShowCursor 0
    Set mySurface = New cDXSurface
    mySurface.CreateDXSurface Form1, "Resource\Game.pal"
    Set myPaused = New cDXBitmap
    myPaused.CreateBitmap mySurface, "Image\MPaused.x", 320, 60
    Set myIntro = New cCFIntro
    myIntro.BeginIntroduction mySurface
    Set myPac = New cPacTitle
    myPac.BeginTitle mySurface
    Set myPacMan = New cPacman
    myPacMan.LoadBitmaps mySurface
    Hitime1.Enabled = True
End Sub

Private Sub Form_Unload(Cancel As Integer)
    ShowCursor 2
    myPaused.DestroyBitmap
    myPacMan.UnloadBitmaps
    myIntro.EndIntro
    myPac.EndTitle
    mySurface.DestroyDXSurface
End Sub

Private Sub Hitime1_Timer()
    If myIntro.Finished = False Then
        myIntro.Next_Frame
    Else
        If myPac.Finished = False Then
            myPac.Next_Frame
        Else
            If myPacMan.GameEnded = False Then
                myPacMan.Next_Frame
            Else
                myPac.RestartTitle myPacMan.ScorePosition
            End If
        End If
    End If
End Sub


Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    If myPac.Finished = False And myPac.StageReady = True Then
        If (KeyCode = vbKeyEscape) Then
            If myIntro.Finished = True Then Unload Me
        Else
            myPac.KeyDown
            myPacMan.RestartPacMan
            myPacMan.LoadLevel (1)
        End If
    Else
        If myPacMan.InPlay = True Then
            Select Case KeyCode
                Case vbKeyEscape
                    If myIntro.Finished = True Then Unload Me
                Case vbKeyLeft
                    If myPause = False Then myPacMan.Direction = 0
                Case vbKeyUp
                    If myPause = False Then myPacMan.Direction = 1
                Case vbKeyRight
                    If myPause = False Then myPacMan.Direction = 2
                Case vbKeyDown
                    If myPause = False Then myPacMan.Direction = 3
                Case vbKeySpace
                    If myPause = False Then myPacMan.ShootWeapon
            End Select
        End If
    End If
End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
    If myPacMan.InPlay = True Then
        Select Case KeyCode
            Case vbKeyPause
                If myPause = False Then
                    mySurface.FadePalette 50
                    myPacMan.DrawPause = True
                    Hitime1.Enabled = False
                    myPause = True
                    myPaused.DrawBitmap 80, 210, 320, 60, 0, 0, 320, 60, True
                    mySurface.RefreshScreen
                    myPacMan.VacupacTune.StopWave
                    myPacMan.Direction = -1
                Else
                    myPacMan.DrawPause = False
                    mySurface.BrightenPalette 50
                    Hitime1.Enabled = True
                    myPause = False
                    myPacMan.VacupacTune.PlayWave True
                End If
            Case vbKeyLeft
                If myPacMan.Direction = 0 And myPause = False Then myPacMan.Direction = -1
            Case vbKeyUp
                If myPacMan.Direction = 1 And myPause = False Then myPacMan.Direction = -1
            Case vbKeyRight
                If myPacMan.Direction = 2 And myPause = False Then myPacMan.Direction = -1
            Case vbKeyDown
                If myPacMan.Direction = 3 And myPause = False Then myPacMan.Direction = -1
        End Select
    End If
End Sub

